Skip to content

Get the project's home

GET
/api/orgs/{org}/projects/{project}/home
curl --request GET \
--url https://api.wrktr.com/api/orgs/example/projects/example/home \
--header 'Authorization: Bearer <token>'

The default branch: branches in progress with their state, and recent landings.

org
required
string
project
required
string

ProjectHome

Media typeapplication/json
object
project
required
string
defaultBranch
required
string
head
required
Any of:
string
inProgress
required
Array<object>
object
name
required
string
head
required
string
updatedAt
required
Any of:
Any of:
number
title
required
Any of:
string
files
required
Any of:
number
additions
required
Any of:
number
deletions
required
Any of:
number
openThreads
required
Any of:
number
experiment
required
boolean
status
required
string
Allowed values: ready behind threads conflict empty experiment failing changes checking
review
required
Any of:
string
Allowed values: approved changes
checks
required
Any of:
string
Allowed values: passed failed running error
overlaps
required
Array<object>
object
branch
required
string
paths
required
Array<string>
landed
required
Array<object>
object
sha
required
string
branch
required
Any of:
string
title
required
string
landedBy
required
string
landedAt
required
Any of:
number
Example
{
"inProgress": [
{
"updatedAt": "Infinity",
"files": "Infinity",
"additions": "Infinity",
"deletions": "Infinity",
"openThreads": "Infinity",
"status": "ready",
"review": "approved",
"checks": "passed"
}
],
"landed": [
{
"landedAt": "Infinity"
}
]
}

Unauthorized

Media typeapplication/json
object
_tag
required
string
Allowed values: Unauthorized
message
required
string
Example
{
"_tag": "Unauthorized"
}

ProjectNotFound

Media typeapplication/json
object
_tag
required
string
Allowed values: ProjectNotFound
project
required
string
Example
{
"_tag": "ProjectNotFound"
}